"Open..." and "Refresh" menu options shows untranslated and can't be translated

Bug #554731 reported by Ricardo Pérez López on 2010-04-03
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Ubuntu Translations
Undecided
Unassigned
gdebi (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: gdebi

The "Open..." and "Refresh" options from File menu shows untranslated in my Spanish desktop, and can't be translated because there aren't in the Launchpad template:

  https://translations.launchpad.net/ubuntu/lucid/+source/gdebi/+pots/gdebi/es/+translate?batch=10&show=all&search=Open...
  https://translations.launchpad.net/ubuntu/lucid/+source/gdebi/+pots/gdebi/es/+translate?batch=10&show=all&search=Refresh

returns no results.

I'm using the latest gdebi_0.6.0_all from Lucid.

I attach an screenshot to illustrate the problem.

Related branches

Ricardo Pérez López (ricardo) wrote :

Another problem is that "Open..." has no accelerator key (no underscore letter), but "Refresh" has the R char underscored.

Gabor Kelemen (kelemeng) on 2010-04-03
Changed in ubuntu-translations:
status: New → Triaged
Changed in gdebi (Ubuntu):
status: New → Confirmed
Michael Vogt (mvo) wrote :

Thanks for the bugreport and the branch that fixes it! Uploaded into lucid now (but waiting in the unapprove queue).

Changed in gdebi (Ubuntu):
milestone: none → ubuntu-10.04
status: Confirmed → Fix Committed
importance: Undecided → Medium
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gdebi - 0.6.0ubuntu1

---------------
gdebi (0.6.0ubuntu1) lucid; urgency=low

  * cherry pick r309 from lp:~gdebi-developers/gdebi/trunk to
    fix i18n issue (LP: #554731)
 -- Michael Vogt <email address hidden> Tue, 06 Apr 2010 14:10:35 +0200

Changed in gdebi (Ubuntu):
status: Fix Committed → Fix Released
Ricardo Pérez López (ricardo) wrote :
Changed in gdebi (Ubuntu):
status: Fix Released → Confirmed
Gabor Kelemen (kelemeng) wrote :

Interesting, the strings are now translated in Launchpad, but not in the .mo file, even if it was generated with the last langpack-update:
$ msgunfmt /usr/share/locale-langpack/hu/LC_MESSAGES/gdebi.mo | grep -i launchpad
"X-Launchpad-Export-Date: 2010-07-14 16:17+0000\n"
"X-Generator: Launchpad (build 9518)\n"

$ msgunfmt /usr/share/locale-langpack/hu/LC_MESSAGES/gdebi.mo | grep -C3 Refresh
$ msgunfmt /usr/share/locale-langpack/hu/LC_MESSAGES/gdebi.mo | grep -C3 Open
msgid "Only one software management tool is allowed to run at the same time"
msgstr "Csak egy szoftverkezelő eszköz futhat egyidejűleg"

msgid "Open Software Package"
msgstr "Szoftvercsomag megnyitása"

msgid "Package '%s' was installed"

If I export it manually, they are there:

$ grep -iC6 Refresh /tmp/po_gdebi-hu.po

#: ../data/gdebi.ui.h:24
msgid "_Open..."
msgstr "_Megnyitás…"

#: ../data/gdebi.ui.h:25
msgid "_Refresh"
msgstr "_Frissítés"

#: ../data/gdebi.xml.in.h:1
msgid "Software package"
msgstr "Szoftvercsomag"

Luca Falavigna (dktrkranz) wrote :

I can display it translated with 0.6.4 (after manually adjusted .po/.mo files to provide translated string).

Changed in gdebi (Ubuntu):
status: Confirmed → Fix Released
Changed in ubuntu-translations:
status: Triaged → Fix Released

El ds 24 de 04 de 2010 a les 12:16 +0000, en/na Ricardo Pérez López va
escriure:
> Still unfixed using gdebi 0.6.0ubuntu1. Launchpad template doesn't
> includes the affected strings:
>
> https://translations.launchpad.net/ubuntu/lucid/+source/gdebi/+pots/gdebi/es/+translate?batch=10&show=all&search=Open
> https://translations.launchpad.net/ubuntu/lucid/+source/gdebi/+pots/gdebi/es/+translate?batch=10&show=all&search=Refresh
>
> and there is no new template waiting in the import queue:
>
> https://translations.launchpad.net/ubuntu/lucid/+source/gdebi/+imports
>
>
> ** Changed in: gdebi (Ubuntu)
> Status: Fix Released => Confirmed
>

It seems they are available for translation now

 status fixreleased
--
David Planella
Ubuntu Translations Coordinator
www.ubuntu.com / www.davidplanella.wordpress.com
www.identi.ca/dplanella / www.twitter.com/dplanella

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers